From a3b3911a6c82634e1c75c8f45aa36485c80929f3 Mon Sep 17 00:00:00 2001
From: Barry Wardell <barry.wardell@gmail.com>
Date: Thu, 23 Jul 2009 15:07:26 +0100
Subject: [PATCH] Update SSA/ASS subtitle decoder for the new version of libass included in contribs.

---
 modules/codec/libass.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/modules/codec/libass.c b/modules/codec/libass.c
index 537914e..c70ef4c 100644
--- a/modules/codec/libass.c
+++ b/modules/codec/libass.c
@@ -342,7 +342,7 @@ static void UpdateRegions( spu_t *p_spu, subpicture_t *p_subpic,
     if( b_fmt_changed )
     {
         ass_set_frame_size( p_ass->p_renderer, fmt.i_width, fmt.i_height );
-        ass_set_aspect_ratio( p_ass->p_renderer, 1.0 ); // TODO ?
+        ass_set_aspect_ratio( p_ass->p_renderer, 1.0, 1.0 ); // TODO ?
 
         p_ass->fmt = fmt;
     }
@@ -744,13 +744,13 @@ static ass_handle_t *AssHandleHold( decoder_t *p_dec )
 #ifdef WIN32
     dialog_ProgressSet( p_dialog, NULL, 0.2 );
 #endif
-    ass_set_fonts( p_renderer, psz_font, psz_family );  // setup default font/family
+    ass_set_fonts( p_renderer, psz_font, psz_family, true, NULL  );  // setup default font/family
 #ifdef WIN32
     dialog_ProgressSet( p_dialog, NULL, 1.0 );
 #endif
 #else
     /* FIXME you HAVE to give him a font if no fontconfig */
-    ass_set_fonts_nofc( p_renderer, psz_font, psz_family );
+    ass_set_fonts( p_renderer, psz_font, psz_family, false, NULL );
 #endif
     memset( &p_ass->fmt, 0, sizeof(p_ass->fmt) );
 
-- 
1.6.2.3

